Bug 521700 - when yum update installs a new kernel, an entirely unused hard disk spins up
Summary: when yum update installs a new kernel, an entirely unused hard disk spins up
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 19:54 UTC by Peter Backes
Modified: 2017-06-08 19:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:31:38 UTC


Attachments (Terms of Use)

Description Peter Backes 2009-09-07 19:54:37 UTC
Description of problem:
When I run yum update, and some new kernel package has been released, and yum installs it, then my /dev/sdb disk, which does not contain any mounted file system and which is not used in any other way, and which I spun down with hdparm -y /dev/sdb after boot, wakes up. All used data is on /dev/sda.

Version-Release number of selected component (if applicable):
I'm using kernel-PAE, and it has always been that wrong way. Currently, I have the following kernels installed:

kernel-PAE-2.6.29.6-217.2.16.fc11.i686
kernel-PAE-2.6.30.5-32.fc11.i686
kernel-PAE-2.6.30.5-43.fc11.i686

All of their scriptlets have shown the issue.

How reproducible:
always

Steps to Reproduce:
1. yum update when a new kernel comes out
2. ask it to install the new kernel
  
Actual results:
/dev/sdb spins up

Expected results:
/dev/sdb stays asleep.

Additional info:
may be a dependency of bug #454582

Comment 1 Juan P. Daza P. 2009-12-06 17:42:22 UTC
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update yum' or using the graphical updater, Software Update.

If still happening please add the dependency to bug #454582 (depends on), in a possible way of course to solved this bug.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2010-04-28 10:13:15 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:31:38 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Peter Backes 2017-06-08 19:54:06 UTC
(In reply to Juan P. Daza P. from comment #1)
> Thank you for taking the time to report this bug. Updates to this package
> have been released since it was first reported. If you have time to update
> the package and re-test, please do so and report the results here. You can
> obtain the updated package by typing 'yum update yum' or using the graphical
> updater, Software Update.

I know I'm about 8 years late, but it works fine in the current version. Just wanted to get rid of those weekly nag emails about needinfo.


Note You need to log in before you can comment on or make changes to this bug.